VNC Screen
==========
Remote desktop application for Kirigami KDE based on VNC standard

# Author: 
Marcello Di Guglielmo - marcellodgl(AT)aruba.it

# License
VNC Screen is free software and licensed under GNU Geneal Public License v3

# Dependencies
Qt5 (modules: Core Quick Test Gui QuickControls2 Widgets)
KF5 (modules: Kirigami2 I18n CoreAddons)
LibVNCClient (from LibVNCServer)

# Third libraries:
The RFB protocol client code is based on LibVNCServer v0.9.9, Copyright (C)
2001 - 2012 Johannes E. Schindelin (http://libvncserver.sourceforge.net/).

Some part of code came from KRDC, Copyright (c) 2007-2008 Urs Wolfer

# Build
```
mkdir build && cd build
cmake ..
cmake --build .
```
# Features
* Kirigami KDE interface
* Connect to a remote VNC Desktop Server
* Control screen through touch screen gesture as mouse event and virtual keyboard as desktop key event
* Touch scroll on the screen for big resolution display
* Network quality level setting
* Connection history
* Zoom screen through Pinch gesture
*
* Dock toolbar for mouse and keyboard activation
* Press and hold center button
* Frame regulation
* Screenshot

## Gallery

<img src="screenshots/vncscreen-screenshot.png" width="200px">
<img src="screenshots/vncscreen-screenshot1.png" width="200px">
<img src="screenshots/vncscreen-screenshot2.png" width="200px">
